Skip to main content

Get all applicants

GEThttps://api.propexo.com/v1/applicants/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

email_1 string

The primary email address associated with the applicant

phone_1 string

Possible values: Value must match regular expression ^[2-9]\d{9}$

Filter by phone number (10 digit format only)

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the applicant

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: 4401-2201-1
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: 1
    x_unit_idstring | nullnullablerequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    x_lease_idstring | nullnullablerequireddeprecated

    DEPRECATED: Not in use.

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    x_lead_idnullrequired

    The external ID of the lead from the integration vendor

    Notice

    This field will always be null for RENTVINE

    Example: null
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the applicant is interested in

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: ["123"]
    address_1_alternatestring | nullnullablerequired

    The first alternate address line associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: 88 Oak Avenue
    address_1string | nullnullablerequired

    The first address line associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: 1200 Market Street
    address_2_alternatestring | nullnullablerequired

    The second alternate address line associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Unit 2
    address_2string | nullnullablerequired

    The second address line associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Apt 4B
    applications object[]required

    Applications that the applicant has submitted

  • Array [
  • applicant_idstringrequired
    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: clza62r760000kpoz8nwwb6uk
    application_idstringrequired
    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: cm0appidx0008rv0za63zbjzp
    statusnulldeprecated

    DEPRECATED. Use status_raw or status_normalized

    Notice

    This field will always be null for RENTVINE

    Example: null
    status_rawnull

    The raw status associated with the applicant

    Notice

    This field will always be null for RENTVINE

    Example: null
    status_normalizednull

    The normalized status associated with the applicant. Confirm these derived values before using them in production.

    Notice

    This field will always be null for RENTVINE

    Example: null
    custom_data object | null
    object
  • ]
  • city_alternatestring | nullnullablerequired

    The alternate city associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Dallas
    citystring | nullnullablerequired

    The city associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Austin
    country_alternatestring | nullnullablerequired

    The alternate country associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: US
    countrystring | nullnullablerequired

    The country associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: US
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: 1992-04-18T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    email_2nullrequired

    The secondary email address associated with the applicant

    Notice

    This field will always be null for RENTVINE

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Jordan
    self_reported_income object[]

    Self reported income sources for the applicant

    Notice

    This field is not currently hydrated for RENTVINE

  • Array [
  • amount_in_centsnumber | nullnullablerequired

    The total income of the applicant, in cents

    Notice

    This field is not currently hydrated for RENTVINE

    Example: 325000
    amount_rawstring | nullnullablerequired

    The total income amount of the applicant

    Notice

    This field is not currently hydrated for RENTVINE

    type_normalizednullrequired

    The type of income of the applicant

    Notice

    This field will always be null for RENTVINE

    Example: null
    type_rawnullrequired

    The type of income of the applicant

    Notice

    This field will always be null for RENTVINE

    Example: null
  • ]
  • last_namestring | nullnullablerequired

    The last name associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Lee
    middle_namestring | nullnullablerequired

    The middle name associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Alex
    notesnullrequired

    Notes associated with the applicant

    Notice

    This field will always be null for RENTVINE

    Example: null
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: (555) 010-0142
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: (555) 010-0198
    state_alternatestring | nullnullablerequired

    The alternate state associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: TX
    statestring | nullnullablerequired

    The state associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: TX
    type_normalizednullrequired

    The normalized type associated with the applicant

    Notice

    This field will always be null for RENTVINE

    Example: null
    type_rawnullrequired

    The raw type associated with the applicant

    Notice

    This field will always be null for RENTVINE

    Example: null
    zip_alternatestring | nullnullablerequired

    The alternate zip code associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: 75201
    zipstring | nullnullablerequired

    The zip code associated with the applicant

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: 78701
    pets object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the applicant pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: pet-4401
    age_in_yearsnumber | nullnullablerequired

    The age in years of the applicant pet

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: 4
    breednullrequired

    The breed of the applicant pet

    Notice

    This field will always be null for RENTVINE

    Example: null
    colorstring | nullnullablerequired

    The color of the applicant pet

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Black
    gender_rawstring | nullnullablerequired

    The raw value for the gender of the applicant pet

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Female
    is_declawedboolean | nullnullablerequired

    Whether the applicant pet is declawed

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    is_fixedboolean | nullnullablerequired

    Whether the applicant pet is fixed

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: true
    is_service_animalnullrequired

    Whether the applicant pet is a service animal

    Notice

    This field will always be null for RENTVINE

    Example: null
    is_trainedboolean | nullnullablerequired

    Whether the applicant pet is trained

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: true
    is_vaccinatedboolean | nullnullablerequired

    Whether the applicant pet is vaccinated

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: true
    namestring | nullnullablerequired

    The name associated with the applicant pet

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Fluffy
    notesnullrequired

    Notes associated with the applicant pet

    Notice

    This field will always be null for RENTVINE

    Example: null
    typestring | nullnullablerequired

    The type associated with the applicant pet

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: Cat
    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the applicant pet

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: 12
    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum22required

    The property management system of record

    Show 13 enum values
    RENTVINEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRESMANYARDIYARDI_REST
    Example: RENTVINE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_id_preferredstring[]required

    The Propexo unique identifiers for the units that the applicant is interested in

    MethodInterface
    GET /api/manager/screening/applicationsScreening
    Example: ["testintegration:1:123"]
    screenings object[]required
    Notice

    This field is not currently hydrated for RENTVINE

  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    Notice

    This field is not currently hydrated for RENTVINE

    screening_datestring | nullnullablerequired

    The date the screening took place

    Notice

    This field is not currently hydrated for RENTVINE

  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applicants/
curl https://api.propexo.com/v1/applicants/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "4401-2201-1",
"x_property_id": "1",
"x_lead_id": null,
"x_unit_id_preferred": [
"123"
],
"address_1_alternate": "88 Oak Avenue",
"address_1": "1200 Market Street",
"address_2_alternate": "Unit 2",
"address_2": "Apt 4B",
"applications": [
{
"applicant_id": "clza62r760000kpoz8nwwb6uk",
"application_id": "cm0appidx0008rv0za63zbjzp",
"status_raw": null,
"status_normalized": null,
"custom_data": "Unknown Type: object,null"
}
],
"city_alternate": "Dallas",
"city": "Austin",
"country_alternate": "US",
"country": "US",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1992-04-18T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": null,
"first_name": "Jordan",
"self_reported_income": [
{
"amount_in_cents": 325000,
"amount_raw": "string",
"type_normalized": null,
"type_raw": null
}
],
"last_name": "Lee",
"middle_name": "Alex",
"notes": null,
"phone_1_type": "HOME",
"phone_1": "(555) 010-0142",
"phone_2_type": "MOBILE",
"phone_2": "(555) 010-0198",
"state_alternate": "TX",
"state": "TX",
"type_normalized": null,
"type_raw": null,
"zip_alternate": "75201",
"zip": "78701",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "pet-4401",
"age_in_years": 4,
"breed": null,
"color": "Black",
"gender_raw": "Female",
"is_declawed": true,
"is_fixed": true,
"is_service_animal": null,
"is_trained": true,
"is_vaccinated": true,
"name": "Fluffy",
"notes": null,
"type": "Cat",
"weight_in_pounds": 12,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTVINE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id_preferred": [
"testintegration:1:123"
],
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
]
}